float4 main(VertexIn In) : SV_Target
{
#if defined(COGS_ALPHA_TEST_DISCARD) || defined(COGS_ALPHA_TO_COVERAGE)
  SurfaceOut surface = SURFACE_FUNCTION(In);
  if (surface.Color.a < alphaThreshold) discard;
#endif

  
//#if defined(COGS_LIGHT_MODEL_PHONG) || defined(COGS_LIGHT_MODEL_STANDARD)
  float4 q = In.ViewSpacePosition;
  float3 r = (1.0 / q.w)*q.xyz;
  return float4((float3)(0.01*length(r)), 1.0);
//#else
//  discard;
//return (float4)0;
//#endif
}
