#version 300 es
precision highp float;

sampler2D colorTexture;

out vec4 color;

void main()
{
  vec4 colorIn = texelFetch(colorTexture, ivec2(gl_FragCoord.xy), 0);

  float luma = dot(colorIn.rgb, vec3(0.299, 0.587, 0.114));

  color = vec4(colorIn.rgb, sqrt(luma));
}
