Texture2D colorTexture;

float4 main(float4 ScreenPos : SV_Position) : SV_Target
{
  const float4 colorIn = colorTexture.Load(int3(ScreenPos.xy, 0));

  float luma = dot(colorIn.rgb, float3(0.299, 0.587, 0.114));

  return float4(colorIn.rgb, sqrt(luma));
}
