#ifndef COGS_QUATERNION_HLSL
#define COGS_QUATERNION_HLSL

float3 quat_rot(float4 quat, float3 v)
{
  float3 n = float3(quat.x, quat.y, quat.z);
  float3 uv = cross(n, v);
  float3 uuv = cross(n, uv);
  return v + ((uv * quat.w) + uuv) * 2.0;
}

#endif
