out vec4 vs_fs_A;
out vec4 vs_fs_B;
out vec4 vs_fs_C;

void main()
{
  VertexIn In = importAttributes();
  In.Position = a_POSITION;
  VertexOut Out = VERTEX_FUNCTION(In);

  Out.ViewSpacePosition = viewMatrix * Out.WorldPosition;

#ifdef COGS_CLIPPING
  Clip_vertex_or_distance_not_supported_in_ES3();
#endif

  vs_fs_A = vec4(equal(ivec4((gl_VertexID + 0) % 3,
                             (gl_VertexID + 1) % 3,
                             (gl_VertexID + 2) % 3,
                             (gl_VertexID + 0) % 2), ivec4(0)));
  vs_fs_B = vec4(equal(ivec4((gl_VertexID + 1) % 2,
                             (gl_VertexID + 0) % 5,
                             (gl_VertexID + 1) % 5,
                             (gl_VertexID + 2) % 5), ivec4(0)));
  vs_fs_C = vec4(equal(ivec4((gl_VertexID + 3) % 5,
                             (gl_VertexID + 4) % 5,
                             (gl_VertexID + 0) % 7,
                             (gl_VertexID + 1) % 7), ivec4(0)));

  exportOut(Out);
  gl_Position = Out.Position;
}
