#ifndef COGS_CORE_BAYER_ES30_GLSL
#define COGS_CORE_BAYER_ES30_GLSL

uint bayer4(uvec2 p)
{
  uint a = p.x ^ p.y;
  uint q =
    ((p.y & 0x2u) >> 1u) |
    ((p.y & 0x1u) << 2u) |
    ((a & 0x2u) << 0u) |
    ((a & 0x1u) << 3u);

  return q;
}

#endif
