float4 GetDiffuse()
{
  return float4(overrideColor ? masterColor.rgb : diffuseColor.rgb, overrideAlpha ? masterColor.a : diffuseColor.a);
}

void UpdateMaterialProperties(in VertexIn In, inout SurfaceOut Out)
{
  Out.Color = GetDiffuse();
  Out.Specular = specularColor.rgb;
  Out.SpecularPower = specularPower != 0 ? specularPower : 80;
  Out.Emissive = emissiveColor.rgb;
  Out.Normal = float3(1, 1, 1);
}
