void main()
{
  VertexIn In = importAttributes();

  VertexOut Out = VERTEX_FUNCTION(In);
  Out.ViewSpacePosition = viewMatrix * Out.WorldPosition;

  exportOut(Out);

  // Apply shadow pancaking if desired.
  Out.Position.z = max(Out.Position.z, shadowDepthClamp);

  gl_Position = Out.Position;
}
