float4 color;

Texture2D colorTexture;
StructuredBuffer<float4> toneBuffer;

float4 main(float4 ScreenPos : SV_Position) : SV_Target
{
  const float4 colorIn = colorTexture.Load(int3(ScreenPos.xy, 0));

  float3 perceptive = float3(0.2126, 0.7152, 0.0722);

  float lightness = dot(colorIn.rgb, perceptive);

  return lightness * toneBuffer[0] * color;
}
