Texture2D depthTexture;

struct VertexIn
{
  float4 Position : SV_Position;
  float4 ScreenPosition : TEXCOORD0;
  float2 TexCoords : TEXCOORD1;
};

struct PsOutput
{
  float Depth : SV_Depth;
};

PsOutput main(VertexIn In)
{
  PsOutput Out = (PsOutput)0;
  Out.Depth = depthTexture.Load(int3(In.Position.xy, 0)).r;
  return Out;
}
